? asterisk.dll
Index: include/asterisk/lock.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/lock.h,v
retrieving revision 1.42
diff -u -r1.42 lock.h
--- include/asterisk/lock.h	8 Nov 2005 03:54:04 -0000	1.42
+++ include/asterisk/lock.h	9 Nov 2005 05:24:58 -0000
@@ -41,10 +41,6 @@
 														 0x20 } }
 #endif
 
-#ifdef __CYGWIN__
-#define PTHREAD_MUTEX_RECURSIVE_NP					PTHREAD_MUTEX_RECURSIVE
-#endif
-
 #ifdef BSD
 #ifdef __GNUC__
 #define AST_MUTEX_INIT_W_CONSTRUCTORS
@@ -55,7 +51,11 @@
 
 /* From now on, Asterisk REQUIRES Recursive (not error checking) mutexes
    and will not run without them. */
-#ifdef PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
+#ifdef __CYGWIN__
+#define PTHREAD_MUTEX_RECURSIVE_NP PTHREAD_MUTEX_RECURSIVE
+#define PTHREAD_MUTEX_INIT_VALUE 	(ast_mutex_t)18
+#define AST_MUTEX_KIND			PTHREAD_MUTEX_RECURSIVE_NP
+#elif PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
 #define PTHREAD_MUTEX_INIT_VALUE	PTHREAD_RECURSIVE_MUTEX_INITIALIZER_NP
 #define AST_MUTEX_KIND			PTHREAD_MUTEX_RECURSIVE_NP
 #else
